package com.duben.microtribe.mvp.model;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class WxPayParamBean implements Serializable {


    /**
     * params : {"package":"Sign=WXPay","appid":"wx8f26539eabfb04f2","sign":"5012752C519C5EF177181F64514AF66C","partnerid":"1546641181","prepayid":"wx13145659084039f3fb9f073b1270898700","noncestr":"RAJD28WMYMT61N17FYOYGT73PNFC","timestamp":"1592031419"}
     * tid : 2016514565805500001
     */

    private ParamsBean params;
    private long tid;

    public ParamsBean getParams() {
        return params;
    }

    public void setParams(ParamsBean params) {
        this.params = params;
    }

    public long getTid() {
        return tid;
    }

    public void setTid(long tid) {
        this.tid = tid;
    }

    public class ParamsBean implements Serializable{
        /**
         * package : Sign=WXPay
         * appid : wx8f26539eabfb04f2
         * sign : 5012752C519C5EF177181F64514AF66C
         * partnerid : 1546641181
         * prepayid : wx13145659084039f3fb9f073b1270898700
         * noncestr : RAJD28WMYMT61N17FYOYGT73PNFC
         * timestamp : 1592031419
         */

        @SerializedName("package")
        private String packageX;
        private String appid;
        private String sign;
        private String partnerid;
        private String prepayid;
        private String noncestr;
        private String timestamp;
        private String params;

        private boolean agreement;//true-走自动签约

        public String getPackageX() {
            return packageX;
        }

        public void setPackageX(String packageX) {
            this.packageX = packageX;
        }

        public String getAppid() {
            return appid;
        }

        public void setAppid(String appid) {
            this.appid = appid;
        }

        public String getSign() {
            return sign;
        }

        public void setSign(String sign) {
            this.sign = sign;
        }

        public String getPartnerid() {
            return partnerid;
        }

        public void setPartnerid(String partnerid) {
            this.partnerid = partnerid;
        }

        public String getPrepayid() {
            return prepayid;
        }

        public void setPrepayid(String prepayid) {
            this.prepayid = prepayid;
        }

        public String getNoncestr() {
            return noncestr;
        }

        public void setNoncestr(String noncestr) {
            this.noncestr = noncestr;
        }

        public String getTimestamp() {
            return timestamp;
        }

        public void setTimestamp(String timestamp) {
            this.timestamp = timestamp;
        }

        public String getParams() {
            return params;
        }

        public void setParams(String params) {
            this.params = params;
        }

        public boolean isSign() {
            return agreement;
        }

        public void setSign(boolean sign) {
            agreement = sign;
        }
    }
}
